Page MenuHomePhabricator

Convert Popups to use extension registration
Closed, ResolvedPublic

Description

The Popups extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:33 PM
Prtksxna triaged this task as Normal priority.Jan 30 2015, 10:59 PM
Prtksxna updated the task description. (Show Details)
Prtksxna set Security to None.

Change 222266 had a related patch set uploaded (by Prtksxna):
Add extension.json

https://gerrit.wikimedia.org/r/222266

Prtksxna claimed this task.Jul 2 2015, 10:03 AM
Prtksxna added a subscriber: Prtksxna.

@Legoktm, I shouldn't just remove Popups.php once this is done, right? Is there any extension that has? Do you have timelines for this?

I shouldn't just remove Popups.php once this is done, right?

Recent patches adding extension.json just leave a few lines in the old PHP entry point, e.g. https://gerrit.wikimedia.org/r/203098

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 2 2015, 10:54 AM

Recent patches adding extension.json just leave a few lines in the old PHP entry point, e.g. https://gerrit.wikimedia.org/r/203098

Thanks @Ricordisamoa! I did see this in the migration guide, but I am not sure if I should do this already. Popups are being used in a few non-WMF wikis and I don't want to make the change before listing all of them and checking their versions.

I am not sure if I should do this already. Popups are being used in a few non-WMF wikis and I don't want to make the change before listing all of them and checking their versions.

Since rEPOP6c53f1384510: API query improvements we require formatversion=2 anyway.

You're right, I didn't realize that.

Change 222266 merged by jenkins-bot:
Add extension.json, empty php entry point

https://gerrit.wikimedia.org/r/222266

Legoktm closed this task as Resolved.Jul 2 2015, 10:42 PM